Skip to main content

Parameters

chainId
string
default:"sui"
required
Unique identifier for a blockchain network.
id
number
default:1
required
Request identifier used to match responses.
jsonrpc
string
default:"2.0"
required
JSON-RPC version.
method
string
default:"sui_tryMultiGetPastObjects"
required
JSON-RPC method name.
params
object
required
Get data for multiple past objects with optional display options.Positional parameters for sui_tryMultiGetPastObjects:
  • params[0]: Array of GetPastObjectRequest objects.
  • params[1]: Options for customizing the object response fields.

Returns

result
array
Array of past object responses with version-specific information.
curl --request POST \
  --url https://api.uniblock.dev/uni/v1/json-rpc?chainId=sui \
  --header 'content-type: application/json' \
  --data '{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "sui_tryMultiGetPastObjects",
    "params": [
      [],
      {
        "showType": true,
        "showOwner": true,
        "showPreviousTransaction": true,
        "showDisplay": false,
        "showContent": true,
        "showBcs": false,
        "showStorageRebate": true
      }
    ]
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": []
}